<html>
<head>
<title>OGRE: OgreRibbonTrail.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreRibbonTrail.h</h1><a href="OgreRibbonTrail_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 <span class="preprocessor">#ifndef __RibbonTrail_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor">#define __RibbonTrail_H__</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span>
<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="preprocessor">#include "<a class="code" href="OgreBillboardChain_8h.html">OgreBillboardChain.h</a>"</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include "<a class="code" href="OgreNode_8h.html">OgreNode.h</a>"</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include "<a class="code" href="OgreIteratorWrappers_8h.html">OgreIteratorWrappers.h</a>"</span>
<a name="l00038"></a>00038 <span class="preprocessor">#include "<a class="code" href="OgreFrameListener_8h.html">OgreFrameListener.h</a>"</span>
<a name="l00039"></a>00039 <span class="preprocessor">#include "<a class="code" href="OgreControllerManager_8h.html">OgreControllerManager.h</a>"</span>
<a name="l00040"></a>00040 
<a name="l00041"></a>00041 <span class="keyword">namespace </span>Ogre {
<a name="l00042"></a>00042 
<a name="l00065"></a><a class="code" href="classOgre_1_1RibbonTrail.html">00065</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1RibbonTrail.html" title="Subclass of BillboardChain which automatically leaves a trail behind one or more...">RibbonTrail</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1BillboardChain.html" title="Allows the rendering of a chain of connected billboards.">BillboardChain</a>, <span class="keyword">public</span> <a class="code" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a>::Listener
<a name="l00066"></a>00066     {
<a name="l00067"></a>00067     <span class="keyword">public</span>:
<a name="l00077"></a>00077         <a class="code" href="classOgre_1_1RibbonTrail.html" title="Subclass of BillboardChain which automatically leaves a trail behind one or more...">RibbonTrail</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">size_t</span> maxElements = 20, <span class="keywordtype">size_t</span> numberOfChains = 1, 
<a name="l00078"></a>00078             <span class="keywordtype">bool</span> useTextureCoords = <span class="keyword">true</span>, <span class="keywordtype">bool</span> useColours = <span class="keyword">true</span>);
<a name="l00080"></a>00080         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1RibbonTrail.html" title="Subclass of BillboardChain which automatically leaves a trail behind one or more...">RibbonTrail</a>();
<a name="l00081"></a>00081 
<a name="l00082"></a><a class="code" href="classOgre_1_1RibbonTrail.html#cc8002296a48321ac318f99a77c82ef4">00082</a>         <span class="keyword">typedef</span> std::vector&lt;Node*&gt; NodeList;
<a name="l00083"></a><a class="code" href="classOgre_1_1RibbonTrail.html#a87dbc42370145c7829bce54b0919e03">00083</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1ConstVectorIterator.html" title="Wraps iteration over a const vector.">ConstVectorIterator&lt;NodeList&gt;</a> <a class="code" href="classOgre_1_1ConstVectorIterator.html" title="Wraps iteration over a const vector.">NodeIterator</a>;
<a name="l00084"></a>00084 
<a name="l00088"></a>00088         <span class="keyword">virtual</span> <span class="keywordtype">void</span> addNode(<a class="code" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a>* n);
<a name="l00090"></a>00090         <span class="keyword">virtual</span> <span class="keywordtype">void</span> removeNode(<a class="code" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a>* n);
<a name="l00092"></a>00092         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1ConstVectorIterator.html" title="Wraps iteration over a const vector.">NodeIterator</a> getNodeIterator(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00094"></a>00094         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> getChainIndexForNode(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a>* n);
<a name="l00095"></a>00095 
<a name="l00102"></a>00102         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setTrailLength(<a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> len);
<a name="l00104"></a><a class="code" href="classOgre_1_1RibbonTrail.html#4595986e9545416094326bec34d83cba">00104</a>         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTrailLength(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mTrailLength; }
<a name="l00105"></a>00105 
<a name="l00107"></a>00107         <span class="keywordtype">void</span> setMaxChainElements(<span class="keywordtype">size_t</span> maxElements);
<a name="l00109"></a>00109         <span class="keywordtype">void</span> setNumberOfChains(<span class="keywordtype">size_t</span> numChains);
<a name="l00111"></a>00111         <span class="keywordtype">void</span> clearChain(<span class="keywordtype">size_t</span> chainIndex);
<a name="l00112"></a>00112 
<a name="l00119"></a>00119         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setInitialColour(<span class="keywordtype">size_t</span> chainIndex, <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; col);
<a name="l00126"></a>00126         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setInitialColour(<span class="keywordtype">size_t</span> chainIndex, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> r, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> g, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> b, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> a = 1.0);
<a name="l00128"></a>00128         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getInitialColour(<span class="keywordtype">size_t</span> chainIndex) <span class="keyword">const</span>;
<a name="l00129"></a>00129 
<a name="l00134"></a>00134         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setColourChange(<span class="keywordtype">size_t</span> chainIndex, <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; valuePerSecond);
<a name="l00135"></a>00135 
<a name="l00140"></a>00140         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setInitialWidth(<span class="keywordtype">size_t</span> chainIndex, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> width);
<a name="l00142"></a>00142         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getInitialWidth(<span class="keywordtype">size_t</span> chainIndex) <span class="keyword">const</span>;
<a name="l00143"></a>00143         
<a name="l00148"></a>00148         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setWidthChange(<span class="keywordtype">size_t</span> chainIndex, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> widthDeltaPerSecond);
<a name="l00150"></a>00150         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getWidthChange(<span class="keywordtype">size_t</span> chainIndex) <span class="keyword">const</span>;
<a name="l00151"></a>00151 
<a name="l00156"></a>00156         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setColourChange(<span class="keywordtype">size_t</span> chainIndex, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> r, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> g, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> b, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> a);
<a name="l00157"></a>00157 
<a name="l00159"></a>00159         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getColourChange(<span class="keywordtype">size_t</span> chainIndex) <span class="keyword">const</span>;
<a name="l00160"></a>00160 
<a name="l00162"></a>00162         <span class="keywordtype">void</span> nodeUpdated(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a>* node);
<a name="l00164"></a>00164         <span class="keywordtype">void</span> nodeDestroyed(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a>* node);
<a name="l00165"></a>00165 
<a name="l00167"></a>00167         <span class="keyword">virtual</span> <span class="keywordtype">void</span> _timeUpdate(<a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> time);
<a name="l00168"></a>00168 
<a name="l00170"></a>00170         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getMovableType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00171"></a>00171 
<a name="l00172"></a>00172     <span class="keyword">protected</span>:
<a name="l00174"></a><a class="code" href="classOgre_1_1RibbonTrail.html#fb1089d91b94200dab252297de92bff6">00174</a>         NodeList mNodeList;
<a name="l00176"></a><a class="code" href="classOgre_1_1RibbonTrail.html#5d2852fd199b254772e9e7f18a94166d">00176</a>         <span class="keyword">typedef</span> std::vector&lt;size_t&gt; IndexVector;
<a name="l00178"></a><a class="code" href="classOgre_1_1RibbonTrail.html#f7bad5fdd9ccd7d48826e5ab794cbfc3">00178</a>         IndexVector mNodeToChainSegment;
<a name="l00179"></a>00179         <span class="comment">// chains not in use</span>
<a name="l00180"></a><a class="code" href="classOgre_1_1RibbonTrail.html#9c60a4868baf1e4016ad312b49131a25">00180</a>         IndexVector mFreeChains;
<a name="l00181"></a>00181 
<a name="l00182"></a>00182         <span class="comment">// fast lookup node-&gt;chain index</span>
<a name="l00183"></a>00183         <span class="comment">// we use positional map too because that can be useful</span>
<a name="l00184"></a><a class="code" href="classOgre_1_1RibbonTrail.html#c05ed4f2e95ea6e32bb28cef607d72fd">00184</a>         <span class="keyword">typedef</span> std::map&lt;const Node*, size_t&gt; NodeToChainSegmentMap;
<a name="l00185"></a><a class="code" href="classOgre_1_1RibbonTrail.html#88700256a45d0cd1d273378129cf6136">00185</a>         NodeToChainSegmentMap mNodeToSegMap;
<a name="l00186"></a>00186 
<a name="l00188"></a><a class="code" href="classOgre_1_1RibbonTrail.html#2e27fcd5f8882c24915a3a57c2938f21">00188</a>         <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> mTrailLength;
<a name="l00190"></a><a class="code" href="classOgre_1_1RibbonTrail.html#c957c6bc3e57acd2e9f7067c0ac9e97b">00190</a>         <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> mElemLength;
<a name="l00192"></a><a class="code" href="classOgre_1_1RibbonTrail.html#fe81aa08345ba180cb5b8e8fa3dcb220">00192</a>         <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> mSquaredElemLength;
<a name="l00193"></a><a class="code" href="classOgre_1_1RibbonTrail.html#fd03baa5bcfc0a524ee92016c0dd990e">00193</a>         <span class="keyword">typedef</span> std::vector&lt;ColourValue&gt; ColourValueList;
<a name="l00194"></a><a class="code" href="classOgre_1_1RibbonTrail.html#0c829b2b1c3ae40fd555fa51b6840efe">00194</a>         <span class="keyword">typedef</span> std::vector&lt;Real&gt; RealList;
<a name="l00196"></a><a class="code" href="classOgre_1_1RibbonTrail.html#81cbd484158e93ce096085085b8084c8">00196</a>         ColourValueList mInitialColour;
<a name="l00198"></a><a class="code" href="classOgre_1_1RibbonTrail.html#1a85cbdbbe427e5d5fd15f08745aa7eb">00198</a>         ColourValueList mDeltaColour;
<a name="l00200"></a><a class="code" href="classOgre_1_1RibbonTrail.html#cc6feaf49b66d518ade88f864c1b2f6c">00200</a>         RealList mInitialWidth;
<a name="l00202"></a><a class="code" href="classOgre_1_1RibbonTrail.html#7769b9f130416658b57c98b93809635c">00202</a>         RealList mDeltaWidth;
<a name="l00204"></a><a class="code" href="classOgre_1_1RibbonTrail.html#a1a0246aa7751805204a54bf05e9cb2a">00204</a>         <a class="code" href="classOgre_1_1Controller.html" title="Instances of this class &amp;#39;control&amp;#39; the value of another object in the system...">Controller&lt;Real&gt;</a>* mFadeController;
<a name="l00206"></a><a class="code" href="classOgre_1_1RibbonTrail.html#1008ba868a30029cc380f0e62a5e1a37">00206</a>         <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">ControllerValueRealPtr</a> mTimeControllerValue;
<a name="l00207"></a>00207 
<a name="l00209"></a>00209         <span class="keyword">virtual</span> <span class="keywordtype">void</span> manageController(<span class="keywordtype">void</span>);
<a name="l00211"></a>00211         <span class="keyword">virtual</span> <span class="keywordtype">void</span> updateTrail(<span class="keywordtype">size_t</span> index, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a>* node);
<a name="l00213"></a>00213         <span class="keyword">virtual</span> <span class="keywordtype">void</span> resetTrail(<span class="keywordtype">size_t</span> index, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a>* node);
<a name="l00215"></a>00215         <span class="keyword">virtual</span> <span class="keywordtype">void</span> resetAllTrails(<span class="keywordtype">void</span>);
<a name="l00216"></a>00216 
<a name="l00217"></a>00217     };
<a name="l00218"></a>00218 
<a name="l00219"></a>00219 
<a name="l00221"></a><a class="code" href="classOgre_1_1RibbonTrailFactory.html">00221</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1RibbonTrailFactory.html" title="Factory object for creating RibbonTrail instances.">RibbonTrailFactory</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1MovableObjectFactory.html" title="Interface definition for a factory class which produces a certain kind of MovableObject...">MovableObjectFactory</a>
<a name="l00222"></a>00222     {
<a name="l00223"></a>00223     <span class="keyword">protected</span>:
<a name="l00224"></a>00224         <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a>* createInstanceImpl( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6" title="Name / value parameter pair (first = name, second = value).">NameValuePairList</a>* params);
<a name="l00225"></a>00225     <span class="keyword">public</span>:
<a name="l00226"></a><a class="code" href="classOgre_1_1RibbonTrailFactory.html#7d176d9fe51e17fdacf2aadd43305c34">00226</a>         <a class="code" href="classOgre_1_1RibbonTrailFactory.html" title="Factory object for creating RibbonTrail instances.">RibbonTrailFactory</a>() {}
<a name="l00227"></a><a class="code" href="classOgre_1_1RibbonTrailFactory.html#fa15dea351429a75bc3e1c3322133489">00227</a>         ~<a class="code" href="classOgre_1_1RibbonTrailFactory.html" title="Factory object for creating RibbonTrail instances.">RibbonTrailFactory</a>() {}
<a name="l00228"></a>00228 
<a name="l00229"></a><a class="code" href="classOgre_1_1RibbonTrailFactory.html#0cf4339e9003458669f6d3fc06aa0bef">00229</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> FACTORY_TYPE_NAME;
<a name="l00230"></a>00230 
<a name="l00231"></a>00231         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00232"></a>00232         <span class="keywordtype">void</span> destroyInstance( <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a>* obj);  
<a name="l00233"></a>00233 
<a name="l00234"></a>00234     };
<a name="l00235"></a>00235 
<a name="l00236"></a>00236 }
<a name="l00237"></a>00237 
<a name="l00238"></a>00238 <span class="preprocessor">#endif</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:55 2008
</p>
</body>
</html>
